
enum KEY {
  KEY_NONE = -1,
  KEY_HOME = 0,
  KEY_POWEROFF,
  KEY_RED,
  KEY_GREEN,
  KEY_YELLOW,
  KEY_BLUE,
  KEY_LiveTV,
  KEY_Record,
  KEY_Radio,
  KEY_SAP,
  KEY_Teletext,
  KEY_LastCH,
  KEY_Subtitle,
  KEY_Language,
  KEY_Angle,
  KEY_Back,
  KEY_Info,
  KEY_DVDMenu,
  KEY_VolUp,
  KEY_VolDown,
  KEY_VolMute,
  KEY_PageUp,
  KEY_PageDown,
  KEY_Up,
  KEY_Left,
  KEY_Enter,
  KEY_Right,
  KEY_Down,
  KEY_Play,
  KEY_Rewind,
  KEY_Pause,  
  KEY_Forward,
  KEY_FastRewind,
  KEY_Stop,
  KEY_FastForward,
  KEY_1,
  KEY_2,
  KEY_3,
  KEY_4,
  KEY_5,
  KEY_6,
  KEY_7,
  KEY_8,
  KEY_9,
  KEY_0,
  KEY_Clear
};


struct key_bytes {
  KEY key;
  int bytes[9];
};


struct key_bytes lookupKeyTable[] = {
  {KEY_HOME, {0x4,0x1,0x0,-1}},  
  {KEY_POWEROFF, {0x2,0x2,-1}},
  {KEY_RED, {0x4,0xffffff80,0x0,-1}},
  {KEY_GREEN, {0x4,0x8,0x0,-1}},
  {KEY_YELLOW, {0x4,0x10,0x0,-1}},
  {KEY_BLUE, {0x4,0x20,0x0,-1}},
  {KEY_LiveTV, {0x4,0x2,0x0,-1}},
  {KEY_Record, {0x3,0xffffff80,0x0,0x0,-1}},
  {KEY_Radio, {0x3,0x4,0x0,0x0,-1}},
  {KEY_SAP, {0x4,0x0,0x10,-1}},
  {KEY_Teletext, {0x4,0x0,0x20,-1}},
  {KEY_LastCH, {0x4,0x0,0x40,-1}},
  {KEY_Subtitle, {0x4,0x0,0x8,-1}},
  {KEY_Language, {0x4,0x0,0x2,-1}},
  {KEY_Angle, {0x4,0x0,0x1,-1}},
  {KEY_Back, {0x3,0x0,0x4,0x0,-1}},
  {KEY_Info, {0x3,0x0,0x0,0x2,-1}},
  {KEY_DVDMenu, {0x4,0x0,0x4,-1}},
  {KEY_VolUp, {0x3,0x20,0x0,0x0,-1}},
  {KEY_VolDown, {0x3,0x40,0x0,0x0,-1}},
  {KEY_VolMute, {0x3,0x10,0x0,0x0,-1}},
  {KEY_PageUp, {0x3,0x0,0x1,0x0,-1}},
  {KEY_PageDown, {0x3,0x0,0x2,0x0,-1}},
  {KEY_Up, {0x0,0x0,0x52,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_Left, {0x0,0x0,0x50,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_Enter, {0x0,0x0,0x28,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_Right, {0x0,0x0,0x4f,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_Down, {0x0,0x0,0x51,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_Play, {0x3,0x0,0x0,0x40,-1}},
  {KEY_Rewind, {0x3,0x0,0x0,0x4,-1}},
  {KEY_Pause, {0x3,0x0,0x0,0xffffff80,-1}},
  {KEY_Forward, {0x3,0x0,0x0,0x8,-1}},
  {KEY_FastRewind, {0x3,0x2,0x0,0x0,-1}},
  {KEY_Stop, {0x3,0x0,0x10,0x0,-1}},
  {KEY_FastForward, {0x3,0x1,0x0,0x0,-1}},
  {KEY_1, {0x0,0x0,0x1e,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_2, {0x0,0x0,0x1f,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_3, {0x0,0x0,0x20,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_4, {0x0,0x0,0x21,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_5, {0x0,0x0,0x22,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_6, {0x0,0x0,0x23,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_7, {0x0,0x0,0x24,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_8, {0x0,0x0,0x25,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_9, {0x0,0x0,0x26,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_0, {0x0,0x0,0x27,0x0,0x0,0x0,0x0,0x0,-1}},
  {KEY_Clear, {0x0,0x0,0x4c,0x0,0x0,0x0,0x0,0x0,-1}},

  {KEY_NONE, {-1}}  /* do not remove */  
};

